aboutsummaryrefslogtreecommitdiffstats
path: root/main/zeromq/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-04-12 15:10:29 +0300
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-04-20 13:40:43 +0000
commit533741a00ef109b7663fa0922274380a7031d157 (patch)
tree6fc45e5a8f807d0ff942ab8f054a6c47a032cae1 /main/zeromq/APKBUILD
parentb4b148c538b071d0922877ff6e3369434382dc37 (diff)
downloadaports-533741a00ef109b7663fa0922274380a7031d157.tar.bz2
aports-533741a00ef109b7663fa0922274380a7031d157.tar.xz
main/zeromq: upgrade to 4.2.2
- add check() - cleanups
Diffstat (limited to 'main/zeromq/APKBUILD')
-rw-r--r--main/zeromq/APKBUILD41
1 files changed, 17 insertions, 24 deletions
diff --git a/main/zeromq/APKBUILD b/main/zeromq/APKBUILD
index 02c99c1c27..714954dbc2 100644
--- a/main/zeromq/APKBUILD
+++ b/main/zeromq/APKBUILD
@@ -1,25 +1,20 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=zeromq
-pkgver=4.1.5
-pkgrel=1
+pkgver=4.2.2
+pkgrel=0
pkgdesc="The ZeroMQ messaging library and tools"
url="http://www.zeromq.org/"
arch="all"
license="LGPLv3+ with exceptions"
-depends=""
-makedepends="util-linux-dev libsodium-dev perl python2 asciidoc xmlto
- autoconf automake"
-subpackages="$pkgname-dev $pkgname-doc libzmq"
-source="https://github.com/zeromq/zeromq4-1/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
-
-builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$builddir"
- update_config_sub || return 1
- default_prepare || return 1
-}
+makedepends="util-linux-dev libsodium-dev libunwind-dev
+ perl python2 asciidoc xmlto autoconf automake
+ "
+subpackages="$pkgname-dev $pkgname-doc libzmq:libs"
+source="https://github.com/zeromq/libzmq/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz
+ test-driver.patch
+ "
+builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$builddir"
@@ -35,17 +30,15 @@ build() {
make || return 1
}
-package() {
+check() {
cd "$builddir"
- make DESTDIR="$pkgdir" install || return 1
+ make check
}
-libzmq() {
- pkgdesc="The ZeroMQ messaging library"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/libzmq.so.* "$subpkgdir"/usr/lib/
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
}
-md5sums="e7adf4b7dbae09b28cfd10d26cd67fac zeromq-4.1.5.tar.gz"
-sha256sums="04aac57f081ffa3a2ee5ed04887be9e205df3a7ddade0027460b8042432bdbcf zeromq-4.1.5.tar.gz"
-sha512sums="b5098e7ea7fe7fdae75846a804d175bcb414a4f8212a15b9c1c2e52f3541aa603e773061db7ea92075e1f9f9be40572aba1c133b233a8ac2458bccf8427e407e zeromq-4.1.5.tar.gz"
+sha512sums="d78813a61ce3311a1f8c230f7da0f5aedc97ef4b792afb6d398c5710da239348c0c7a67bdfeb38a7ab0282af498f1ed173649aff4add1bc35f0ef1b66f965443 zeromq-4.2.2.tar.gz
+64e4ae2c89469359480743beeb4f1e08976a4c52dbfd2dd33020463df78e927993319e456299682901001e0832ebed85291eea0decc1d27a58de78a6c891e660 test-driver.patch"